{default $robots = true}
{default $active = ''}
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="robots" content="noindex" n:if="!$robots">

	<title>{include title}{if 'overview' !== $active && $config->title} | {$config->title}{/if}</title>

	<link rel="stylesheet" href="{='resources/style.css'|staticFile}">
	<link n:if="$config->googleCseId" rel="search" type="application/opensearchdescription+xml" title="{$config->title}" href="{$config->baseUrl}/opensearch.xml">

	<script n:if="$config->googleAnalytics">
		var _gaq = _gaq || [];
		_gaq.push(['_setAccount', {$config->googleAnalytics}]);
		_gaq.push(['_trackPageview']);

		(function() {
			var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
			ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
			var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
		})();
	</script>
</head>

<body>
<div id="left">
	<div id="menu">
		<a n:tag-if="'overview' !== $active" href="index.html" title="Overview"><span>Overview</span></a>

		{define group}
			<ul>
				{foreach $groups as $group}
				{var $nextLevel = substr_count($iterator->nextValue, '\\') > substr_count($group, '\\')}
				<li n:class="$actualGroup === $group || 0 === strpos($actualGroup, $group . '\\') ? active, $config->main && 0 === strpos($group, $config->main) ? main">
					<a href="{if $groupBy === 'package'}{$group|packageUrl}{else}{$group|namespaceUrl}{/if}">
						{$group|subgroupName}<span n:tag-if="$nextLevel"></span>
					</a>

					{if $nextLevel}
						<ul>
					{else}
						</li>
						{if substr_count($iterator->nextValue, '\\') < substr_count($group, '\\')}
							{='</ul></li>'|repeat:substr_count($group, '\\') - substr_count($iterator->nextValue, '\\')|noescape}
						{/if}
					{/if}
				{/foreach}
			</ul>
		{/define}

		<div id="groups">
			{if $namespaces}
				<h3>Namespaces</h3>
				{include group, groups => $namespaces, actualGroup => $namespace, groupBy => 'namespace'}
			{elseif $packages}
				<h3>Packages</h3>
				{include group, groups => $packages, actualGroup => $package, groupBy => 'package'}
			{/if}
		</div>

		<hr n:if="($namespaces || $packages) && ($classes || $interfaces || $traits || $exceptions || $constants || $functions)">

		{define elements}
			<ul>
				<li n:foreach="$elements as $element" n:class="$activeElement === $element ? active"><a n:class="$element->deprecated ? deprecated, !$element->valid ? invalid" href="{$element|elementUrl}">{if $namespace}{$element->shortName}{else}{$element->name}{/if}</a></li>
			</ul>
		{/define}

		<div id="elements">
			{if $classes}
			<h3>Classes</h3>
			{include elements, elements => $classes, activeElement => $class}
			{/if}

			{if $interfaces}
			<h3>Interfaces</h3>
			{include elements, elements => $interfaces, activeElement => $class}
			{/if}

			{if $traits}
			<h3>Traits</h3>
			{include elements, elements => $traits, activeElement => $class}
			{/if}

			{if $exceptions}
			<h3>Exceptions</h3>
			{include elements, elements => $exceptions, activeElement => $class}
			{/if}

			{if $constants}
			<h3>Constants</h3>
			{include elements, elements => $constants, activeElement => $constant}
			{/if}

			{if $functions}
			<h3>Functions</h3>
			{include elements, elements => $functions, activeElement => $function}
			{/if}
		</div>
	</div>
</div>

<div id="splitter"></div>

<div id="right">
<div id="rightInner">
	<form{if $config->googleCseId} action="http://www.google.com/cse"{/if} id="search">
		<input type="hidden" name="cx" value="{$config->googleCseId}">
		<input type="hidden" name="ie" value="UTF-8">
		<input type="text" name="q" class="text" placeholder="Search"{if 'overview' === $active} autofocus{/if}>
	</form>

	<div id="navigation">
		<ul>
			<li n:class="'overview' === $active ? active">
				<a n:tag-if="'overview' !== $active" href="index.html" title="Overview"><span>Overview</span></a>
			</li>
			<li n:class="'package' === $active ? active" n:if="$packages">
				<a n:tag-if="'package' !== $active && $package" href="{$package|packageUrl}" title="Summary of {$package}"><span>Package</span></a>
			</li>
			<li n:class="'namespace' === $active ? active" n:if="$namespaces">
				<a n:tag-if="'namespace' !== $active && $namespace" href="{$namespace|namespaceUrl}" title="Summary of {$namespace}"><span>Namespace</span></a>
			</li>
			<li n:class="'class' === $active ? active" n:if="!$function && !$constant">
				<a n:tag-if="'class' !== $active && $class" href="{$class|classUrl}" title="Summary of {$class->name}"><span>Class</span></a>
			</li>
			<li n:class="'function' === $active ? active" n:if="$function">
				<a n:tag-if="'function' !== $active" href="{$function|functionUrl}" title="Summary of {$function->name}"><span>Function</span></a>
			</li>
			<li n:class="'constant' === $active ? active" n:if="$constant">
				<a n:tag-if="'constant' !== $active" href="{$constant|constantUrl}" title="Summary of {$constant->name}"><span>Constant</span></a>
			</li>
		</ul>
		<ul>
			<li n:class="'tree' === $active ? active" n:if="$config->tree">
				<a href="tree.html" title="Tree view of classes, interfaces, traits and exceptions"><span>Tree</span></a>
			</li>
			<li n:class="'deprecated' === $active ? active" n:if="$config->deprecated">
				<a href="deprecated.html" title="List of deprecated elements"><span>Deprecated</span></a>
			</li>
			<li n:class="'todo' === $active ? active" n:if="$config->todo">
				<a href="todo.html" title="Todo list"><span>Todo</span></a>
			</li>
			<li class="hooks">
				<a href="hook-docs.html" title="Hooks"><span>Hook Reference</span></a>
			</li>
		</ul>
		<ul>
			<li n:if="$config->download">
				<a href="{$archive}" title="Download documentation as ZIP archive"><span>Download</span></a>
			</li>
		</ul>
	</div>

	{include content}

	<div id="footer">
		{$config->title} API documentation generated by <a href="http://apigen.org">ApiGen</a>
	</div>
</div>
</div>
<script src="{='resources/combined.js'|staticFile}"></script>
<script src="{='elementlist.js'|staticFile}"></script>
</body>
</html>
